[meta-zephyr][PATCH] zephyr-openthread-rcp: Enable Thread 1.2 capabilities in RCP build


Stefan Schmidt
 

From: Stefan Schmidt <stefan.schmidt@...>

When running an up-to-date userspace component, like otbr-agent or
ot-daemon, with Thread 1.2 enabled we need a firmware matching this
capabilities.

Signed-off-by: Stefan Schmidt <stefan.schmidt@...>
---
.../recipes-kernel/zephyr-kernel/zephyr-openthread-rcp.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthr=
ead-rcp.bb b/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthr=
ead-rcp.bb
index 708e56a..6d3f860 100644
--- a/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthread-rcp=
.bb
+++ b/meta-zephyr-core/recipes-kernel/zephyr-kernel/zephyr-openthread-rcp=
.bb
@@ -2,7 +2,7 @@ include zephyr-sample.inc
=20
ZEPHYR_SRC_DIR =3D "${S}/samples/net/openthread/coprocessor"
=20
-EXTRA_OECMAKE +=3D "-DCONF_FILE=3D"prj.conf overlay-rcp.conf overlay-usb=
-nrf-br.conf" -DDTC_OVERLAY_FILE=3D"usb.overlay""
+EXTRA_OECMAKE +=3D "-DCONF_FILE=3D"prj.conf overlay-rcp.conf overlay-usb=
-nrf-br.conf" -DDTC_OVERLAY_FILE=3D"usb.overlay" -DCONFIG_OPENTHREAD_THRE=
AD_VERSION_1_2=3Dy"
=20
# The overlay config and OpenThread itself imposes some specific require=
ments
# towards the boards (e.g. flash layout and ieee802154 radio) so we need=
to
--=20
2.35.1